parsePsimi25Interaction {RpsiXML} | R Documentation

## Parsing PSI-MI 2.5 XML documents into interactions

### Description

The PSI-MI 2.5 XML format is used widely by many repositories to record protein-protein interaction data as well as protein complex data. This functions parse such files into interactions or complexes.

`parsePsimi25Interaction` is the parser for interaction data and `parsePsimi25Complex` is the parser for complex data.

### Usage

    parsePsimi25Interaction(psimi25file, psimi25source, verbose=TRUE)
    parsePsimi25Complex(psimi25file, psimi25source, verbose=FALSE)

### Arguments

`psimi25file` | character, file name or URL of the XML document
`psimi25source` | A supported data repository source, see also `psimi25Source-class`
`verbose` | logical, whether the parsing state should be displayed verbosely.

### Value

`psimi25Interaction` returns a list of `psimi25InteractionEntry` objects, each represents one `entry` in the XML document `psimi25Complex` returns a `psimi25ComplexEntry` objects, representing the complex data from one XML document.

### Author(s)

Jitao David Zhang <j.zhang@dkfz-heidelberg.de>, Tony Chiang <tchiang@ebi.ac.uk>

### References

PSI-MI XML v2.5 data exchange format
  http://www.psidev.info/index.php?q=node/60
BioGRID
  http://www.thebiogrid.com
DIP
  http://dip.doe-mbi.ucla.edu/
HPRD
  http://www.hprd.org/
IntAct
  http://www.ebi.ac.uk/intact
MINT
  http://mint.bio.uniroma2.it/mint
MIPS/CORUM
  http://mips.gsf.de/

### See Also

`psimi25Interaction-class`, `psimi25InteractionEntry-class`, `psimi25Complex-class` `psimi25ComplexEntry-class`,

### Examples

    # parse interaction data
    xmlDir <- system.file("/extdata/psi25files",package="RpsiXML")

    gridxml <- file.path(xmlDir, "biogrid_200804_test.xml")
    gridSet <- parsePsimi25Interaction(gridxml, BIOGRID.PSIMI25)

    intactxml <- file.path(xmlDir, "intact_2008_test.xml")
    intactSet <- parsePsimi25Interaction(intactxml, INTACT.PSIMI25, verbose=TRUE)

    # parse complex data
    intactComplexxml <- file.path(xmlDir,"intact_complexSample.xml")
    intactComplexSet <- parsePsimi25Complex(intactComplexxml, INTACT.PSIMI25)

[Package RpsiXML version 1.0.0 Index]